### Method

# Adw AboutWindow add_legal_section

deprecated: 1.6 since: 1.2

#### Declaration [src]

    void
    adw_about_window_add_legal_section (
      AdwAboutWindow* self,
      const char* title,
      const char* copyright,
      GtkLicense license_type,
      const char* license
    )

#### Description [src]

Adds an extra section to the Legal page.

Extra sections will be displayed below the application’s own information.

The parameters `copyright`, `license_type` and `license` will be used to present the it the same way as `AdwAboutWindow:copyright`, `AdwAboutWindow:license-type` and `AdwAboutWindow:license` are for the application’s own information.

See those properties for more details.

This can be useful to attribute the application dependencies or data.

Examples:

    adw_about_window_add_legal_section (ADW_ABOUT_WINDOW (about),
                                        _("Copyright and a known license"),
                                        "© 2022 Example",
                                        GTK_LICENSE_LGPL_2_1,
                                        NULL);

    adw_about_window_add_legal_section (ADW_ABOUT_WINDOW (about),
                                        _("Copyright and custom license"),
                                        "© 2022 Example",
                                        GTK_LICENSE_CUSTOM,
                                        "Custom license text");

    adw_about_window_add_legal_section (ADW_ABOUT_WINDOW (about),
                                        _("Copyright only"),
                                        "© 2022 Example",
                                        GTK_LICENSE_UNKNOWN,
                                        NULL);

    adw_about_window_add_legal_section (ADW_ABOUT_WINDOW (about),
                                        _("Custom license only"),
                                        NULL,
                                        GTK_LICENSE_CUSTOM,
                                        "Something completely custom here.");

Available since: 1.2

Deprecated since: 1.6

Use `AdwAboutDialog`.

#### Parameters

`title`

  Type: `const char*`

  The name of the section.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`copyright`

  Type: `const char*`

  A copyright string.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`license_type`

  Type: `GtkLicense`

  The type of license.

`license`

  Type: `const char*`

  Custom license information.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.